# This file created by conda-build 3.26.1
# meta.yaml template originally from:
# C:\b\abs_e5729i179y\clone\recipe, last modified Fri Sep  8 14:56:19 2023
# ------------------------------------------------

package:
  name: ipython
  version: 8.15.0
source:
  sha256: 2baeb5be6949eeebf532150f81746f8333e2ccce02de1c7eedde3f23ed5e9f1e
  url: https://pypi.io/packages/source/i/ipython/ipython-8.15.0.tar.gz
build:
  entry_points:
    - ipython = IPython:start_ipython
    - ipython3 = IPython:start_ipython
  number: '0'
  script: C:\\b\\abs_e5729i179y\\croot\\ipython_1694181400005\\_h_env\\python.exe
    -m pip install . -vv --no-deps --no-build-isolation
  script_env:
    - COV_THRESHOLD=50
    - MIGRATING=False
  string: py310haa95532_0
requirements:
  host:
    - bzip2 1.0.8 he774522_0
    - ca-certificates 2023.08.22 haa95532_0
    - libffi 3.4.4 hd77b12b_0
    - openssl 3.0.10 h2bbff1b_2
    - pip 23.2.1 py310haa95532_0
    - python 3.10.12 he1021f5_0
    - setuptools 68.0.0 py310haa95532_0
    - sqlite 3.41.2 h2bbff1b_0
    - tk 8.6.12 h2bbff1b_0
    - tzdata 2023c h04d1e81_0
    - vc 14.2 h21ff451_1
    - vs2015_runtime 14.27.29016 h5e58377_2
    - wheel 0.38.4 py310haa95532_0
    - xz 5.4.2 h8cc25b3_0
    - zlib 1.2.13 h8cc25b3_0
  run:
    - backcall
    - colorama
    - decorator
    - exceptiongroup
    - jedi >=0.16
    - matplotlib-inline
    - pickleshare
    - prompt-toolkit >3.0.30,<3.1.0,!=3.0.37
    - pygments >=2.4.0
    - python >=3.10,<3.11.0a0
    - stack_data
    - traitlets >=5
test:
  commands:
    - pip check
    - pygmentize -L | grep ipython
    - ipython -h
    - ipython3 -h
  requires:
    - curio
    - matplotlib-base !=3.2.0
    - nbformat
    - numpy >=1.21
    - pandas
    - pip
    - pygments
    - pytest <7.1
    - pytest-asyncio
    - pytest-cov
    - testpath
    - trio
about:
  description: 'IPython provides a rich architecture for interactive computing with

    a powerful interactive shell, a kernel for Jupyter, high performance

    tools for parallel computing, and more.

    '
  dev_url: https://github.com/ipython/ipython
  doc_url: https://ipython.readthedocs.io
  home: https://ipython.org
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE
  summary: 'IPython: Productive Interactive Computing'
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: e525a3b4-2e4e-4b2d-8490-e150ad0a1d79
  recipe-maintainers:
    - Carreau
    - blink1073
    - bollwyvl
    - ellisonbg
    - fperez
    - jakirkham
    - minrk
    - ocefpaf
    - pelson
    - takluyver
  remote_url: git@github.com:AnacondaRecipes/ipython-feedstock.git
  sha: e7211fec0e131aad6eef4dd328894713d1af9925
